{% extends "layout.html" %}
{% block content %}
<h2>Test your wines</h2>
<div class="row">
    <div class="col-12" style="text-align:center"><img width="800" src="{{url_for('static', filename='tauxErreur.png')}}"></div>
    <br>
    <br>
    <form action="" method="post" class="col-6">
        <div class="form-group">
            <label for="neighbors">Choose number of neighbors :</label>
            <input type="number" class="form-control" name="neighbors" />
        </div>
        <br>
        <h4>Wine details :</h4>
        <div class="form-group">
            <label for="fixed_acidity">Fixed acidity :</label>
            <input type="number" class="form-control" name="fixed_acidity" step="0.0001" />
        </div>
        <div class="form-group">
            <label for="volatile_acidity">Volatile acidity :</label>
            <input type="number" class="form-control" name="volatile_acidity" step="0.0001" />
        </div>
        <div class="form-group">
            <label for="citric_acid">Citric acid :</label>
            <input type="number" class="form-control" name="citric_acid" step="0.0001" />
        </div>
        <div class="form-group">
            <label for="residual_sugar">Residual sugar :</label>
            <input type="number" class="form-control" name="residual_sugar" step="0.0001" />
        </div>
        <div class="form-group">
            <label for="chlorides">Chlorides :</label>
            <input type="number" class="form-control" name="chlorides" step="0.0001" />
        </div>
        <div class="form-group">
            <label for="free_sulfur_dioxide">Free sulfur dioxide :</label>
            <input type="number" class="form-control" name="free_sulfur_dioxide" step="0.0001" />
        </div>
        <div class="form-group">
            <label for="total_sulfur_dioxide">Total sulfur dioxide :</label>
            <input type="number" class="form-control" name="total_sulfur_dioxide" step="0.0001" />
        </div>
        <div class="form-group">
            <label for="density">Density :</label>
            <input type="number" class="form-control" name="density" step="0.0001" />
        </div>
        <div class="form-group">
            <label for="pH">pH :</label>
            <input type="number" class="form-control" name="pH" step="0.0001" />
        </div>
        <div class="form-group">
            <label for="sulphates">Sulphates :</label>
            <input type="number" class="form-control" name="sulphates" step="0.0001" />
        </div>
        <div class="form-group">
            <label for="alcohol">Alcohol :</label>
            <input type="number" class="form-control" name="alcohol" step="0.0001" />
        </div>
        <input type="submit" class="btn btn-primary" value="Test" />
    </form>

    {% if result %}
        <div class=" offset-1 col-4">
            <div class="jumbotron jumbotron-fluid">
                <div class="container">
                    <h1 class="display-4"><b>{{ result | color | safe }}</b></h1>
                    <h2>Predicted quality</h2>
                </div>
            </div>
        </div>
    {% endif %}
</div>
<br>
<br>
{% endblock %}